
海思1G_wifi - Bug #3320

2.3.8流量统计，dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network

com.ctc.igd1.Properties.GetAll string:"com.ctc.igd1.NetworkInfo"  LAN1口流量统计不对

03/31/2025 17:56 - 天文 刘

Status: Closed Start date: 03/31/2025

Priority: Normal Due date:  

Assignee: 齐 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250423164652 复现概率: 100%

Description

测试步骤

1.配置一条INTNET WAN一条OTHER WAN  路由器桥接下挂网关LAN1口，PC1有线接在路由器下面。pc2通过WiFi连接网关5G，绑定OTHER WAN

2.PC1下载6.5G 上传4.5G  PC2下载6G，上传5G

预期结果

都符合

实际结果

dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network com.ctc.igd1.Properties.GetAll

string:"com.ctc.igd1.NetworkInfo"  LAN1口流量统计LAN1TXByte不对，有30G流量，

History

#1 - 04/02/2025 15:37 - 齐 刘

- Status changed from New to Feedback

没复现，这个可能有其他条件触发，暂不清楚

product version    :HSAN_3.5.12.linux0

git version        :2b7533b8

2.4G文件下载3次，TX： 7.6G

'LAN1TXByte': <uint64 8240949685>, 'LAN1RXByte': <uint64 874104891>

1. ifconfig eth0

eth0      Link encap:Ethernet  HWaddr 68:89:01:23:46:67

UP BROADCAST RUNNING  MTU:1500  Metric:1

RX packets:3400654 errors:0 dropped:554 overruns:0 frame:0

TX packets:5902660 errors:0 dropped:0 overruns:0 carrier:0

collisions:0 txqueuelen:1000

RX bytes:874041577 (833.5 MiB)  TX bytes:8240860768 (7.6 GiB)

#2 - 04/14/2025 16:31 - 天文 刘

- File 微信截图_20250414162856.png added

05/30/2025 1/2



新版本测试

测试步骤

1.配置一条INTNET WAN一条OTHER WAN 路由器桥接下挂网关LAN1口，PC1有线接在路由器下面。pc2通过WiFi连接网关5G，绑定OTHER WAN

2.PC1下载6G 上传5G PC2下载6.5G，上传4.5G

预期结果

都符合

实际问题

1.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/LANHosts com.ctc.igd1.ObjectManager.GetManagedObjects

发现5G设备下载和上传的统计的结果是实际的2倍

2.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network com.ctc.igd1.Properties.GetAll string:"com.ctc.igd1.NetworkInfo"

里面的WiFiTxBytes和WiFiRxBytes应该是0，应为5G是走的OTHER WAN 不应该统计在上网WAN，实际上是5G上传和下载的文件大小

LAN1TXByte超大很多统计了30G.

3.dbus-send --system --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Info/Network/WANConnectionDb

com.ctc.igd1.ObjectManager.GetManagedObjects

OTHER WAN 的 TxBytes只有0.7G 统计不准应该4.5G左右

#3 - 04/27/2025 10:50 - 天文 刘

- Status changed from Feedback to Closed

- 测试版本 changed from 20250326174757 to 20250423164652

新版本有线正常

Files

流量5.log 73.3 KB 03/31/2025 天文 刘

微信截图_20250414162856.png 194 KB 04/14/2025 天文 刘
